Bug 168459 - ktorrent doesn't let you rename torrents
Summary: ktorrent doesn't let you rename torrents
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-05 23:35 UTC by Adam Forsyth
Modified: 2008-08-07 18:24 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
patch to allow you to rename a torrent from the context menu (11.07 KB, patch)
2008-08-05 23:40 UTC, Adam Forsyth
Details
updated patch (16.83 KB, patch)
2008-08-06 04:58 UTC, Adam Forsyth
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Forsyth 2008-08-05 23:35:29 UTC
Version:           svn r842063 (using KDE 4.1.0)
Installed from:    Ubuntu Packages
Compiler:          gcc (Ubuntu 4.3.1-8ubuntu2) 4.3.1 
OS:                Linux

Sometimes the file name / top level directory name of a torrent is not descriptive or not unique. You should be able to change the name ktorrent uses in the main view, queue manager, etc.
Comment 1 Adam Forsyth 2008-08-05 23:40:21 UTC
Created attachment 26675 [details]
patch to allow you to rename a torrent from the context menu


This patch allows you to set a display name for a torrent. This name will be
used in the main view, queue manager, speed limits dialog and tray icon pop-up.


getDisplayName() defaults to using the normal torrent name, so if you clear the
name it will reset.

It is automatically saved to the torrent stats file when you change it.

A "Rename Torrent" entry is added to the main view context menu and activated
when only one torrent is selected.
Comment 2 Adam Forsyth 2008-08-06 04:58:14 UTC
Created attachment 26678 [details]
updated patch

This patch version updates the media player and web interface plugins (c++ and
php) to use the display name where appropriate.
Comment 3 Joris Guisson 2008-08-06 22:10:07 UTC
Looks good at first sight, will probably modify it a bit, so that you can double click on the name of the torrent in the view and edit it inline.
Comment 4 Adam Forsyth 2008-08-07 01:02:25 UTC
Cool. I thought double clicking a torrent already had an action, which is why I did it this way. Don't know why I thought that. Inline editing is much better and the context menu doesn't get bigger.
Comment 5 Joris Guisson 2008-08-07 18:24:48 UTC
SVN commit 843689 by guisson:

Added patch from Adam Forsyth with some modifications, which allows you to rename
torrents in the main torrent list.

BUG: 168459
BUG: 157544


 M  +1 -1      ktorrent/dbus/dbustorrent.cpp  
 M  +2 -1      ktorrent/ktorrentui.rc  
 M  +1 -1      ktorrent/queuemanagermodel.cpp  
 M  +1 -1      ktorrent/speedlimitsmodel.cpp  
 M  +9 -12     ktorrent/trayicon.cpp  
 M  +10 -0     ktorrent/view.cpp  
 M  +1 -0      ktorrent/view.h  
 M  +15 -0     ktorrent/viewmanager.cpp  
 M  +4 -0      ktorrent/viewmanager.h  
 M  +29 -13    ktorrent/viewmodel.cpp  
 M  +2 -1      ktorrent/viewmodel.h  
 M  +7 -0      libbtcore/interfaces/torrentinterface.h  
 M  +9 -1      libbtcore/torrent/torrentcontrol.cpp  
 M  +3 -0      libbtcore/torrent/torrentcontrol.h  
 M  +2 -2      plugins/mediaplayer/mediamodel.cpp  
 M  +2 -0      plugins/webinterface/phpcodegenerator.cpp  
 M  +1 -1      plugins/webinterface/www/coldmilk/rest.php  
 M  +1 -1      plugins/webinterface/www/default/details.php  
 M  +4 -4      plugins/webinterface/www/default/interface.php  
 M  +1 -1      plugins/webinterface/www/mobile/torrent.php  


WebSVN link: http://websvn.kde.org/?view=rev&revision=843689